Get users
1 min
GET
https://usermgmt-api.optimizely.com/api/users
includeExternalStatusbooleanInclude the external status of the user.
externalUserIdstringExternal ID of the user.
firstNamestringFirst name of the user.
lastNamestringLast name of the user.
emailstringEmail address of the user.
homeOrganizationIdstringID of the home organization the user belongs to.
organizationIdstringID of an organization the user collaborates in.
userGroupIdsarrayIDs of the user groups the user belongs to.
userIdsarrayIDs of the users.
matchAnyUserGroupsbooleanSet to true to filter the results by membership in any of the userGroupIds you specify. Set to false to filter the results by membership in all of the userGroupIds you specify.
propertiesarrayProperties of the user.
isVirtualboolean
beforeLastLoggedInstringFilter users whose last logged in date is on or before this date.
afterLastLoggedInstringFilter users whose last logged in date is on or after this date.
sizeinteger<int32>Number of results to include per page.
offsetinteger<int32>Offset paging of results.
acceptstringGenerated from available response content types
200The users response.
400The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
401Unauthorized access to endpoint.
403Forbidden access to endpoint.
500<p>A server error occurred, please try again.</p>
curl --request GET \
--url 'https://usermgmt-api.optimizely.com/api/users?properties=array' \
--header 'accept: application/json'